View Issue Details

IDProjectCategoryView StatusLast Update
16714Bug reportsOtherpublic2020-10-14 12:52
Reportergabrieljenik Assigned Togabrieljenik  
PrioritynoneSeveritypartial_block 
Status closedResolutionfixed 
Product Version4.3.18 
Summary16714: Clear process after test script is failing
Description

This is when it happened: https://github.com/LimeSurvey/LimeSurvey/pull/1586

Survey Imports can't be reused among test scripts
It is not that they need to. Still this triggered the error.
`
Last test, changing the survey file, worked good.
Not sure how that made a difference. I will double check.

Also, smell, something is wrong with the cleanup.
I think the problem is we should be using static sometimes, and we are using self.
`

Steps To Reproduce

Run testChangeQuestionTemplate and EditQuestionTest in the same run.

Additional Information

This is a clone. The original issue happened on LSv3

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.3.18
I will donate to the project if issue is resolvedNo
Sync to Zoho Project
Browser
Database & DB-VersionMysql
Server OS (if known)
Webserver software & version (if known)
PHP Versionphp

Relationships

related to 16692 closedgabrieljenik Clear process after test script is failing 

Activities

gabrieljenik

gabrieljenik

2020-10-07 16:19

developer   ~60104

https://github.com/LimeSurvey/LimeSurvey/pull/1614

gabrieljenik

gabrieljenik

2020-10-12 15:54

developer   ~60156

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30572

lime_release_bot

lime_release_bot

2020-10-14 12:52

administrator   ~60203

Fixed in Release 4.3.21+201015

Related Changesets

LimeSurvey: master 3f9b19fa

2020-10-12 15:54:28

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 16714: Clear process after test script is failing (#1614)

Clear cache after test ends and also after a survye is deleted
Affected Issues
16714
mod - application/models/Survey.php Diff File
mod - tests/TestBaseClass.php Diff File

Issue History

Date Modified Username Field Change
2020-10-01 15:13 gabrieljenik New Issue
2020-10-01 15:13 gabrieljenik Status new => assigned
2020-10-01 15:13 gabrieljenik Assigned To => gabrieljenik
2020-10-01 15:13 gabrieljenik Issue generated from: 16692
2020-10-01 15:13 gabrieljenik Relationship added related to 16692
2020-10-07 16:19 gabrieljenik Note Added: 60104
2020-10-12 15:54 gabrieljenik Changeset attached => LimeSurvey master 3f9b19fa
2020-10-12 15:54 gabrieljenik Note Added: 60156
2020-10-12 15:54 gabrieljenik Resolution open => fixed
2020-10-14 12:52 lime_release_bot Note Added: 60203
2020-10-14 12:52 lime_release_bot Status assigned => closed